PDA

View Full Version : LEAP 15.3 Actualizar KDE Plasma o cambiar a Tumblweed



gvcastellon
25-Nov-2021, 08:13
Saludos Lagartos.
Sigo bastante las novedades de KDE Plasma y me gustaria tenerlas en mi escritorio.
Que opinan entre, adicionar los repos para tener lo último en Plasma o definitivamente cambiarme a Tumbleweed, es un PC de Escritorio y lo uso a diario, entre ello para mi trabajo, pero todo sobre Pagina Web de la Compañía donde trabajo ahora, o sea si hay navegador funcional, no tengo problemas.


System: Host: ryzen7 Kernel: 5.3.18-57-default x86_64 bits: 64 Console: pty pts/1 Distro: openSUSE Leap 15.3
Machine: Type: Desktop Mobo: ASUSTeK model: ROG STRIX B350-F GAMING v: Rev X.0x serial: 180321889402553
UEFI: American Megatrends v: 5406 date: 11/13/2019
Memory: RAM: total: 15.56 GiB used: 4.49 GiB (28.9%)




Agradeciendo de antemano cualquier comentario.

Have a lot of Fun!!!

karlggest
25-Nov-2021, 08:58
Hola!!

Depende de tu instalación, como siempre. Y tienes que tener en cuenta lo de siempre:


Los repositorios adicionales para actualizar Plasma en Leap imponen un mayor número de actualizaciones, las cuales como sabes no siempre son lo más fiable del mundo. Cierto que también es sencillo revertirlas.
Tumbleweed impone un mayor ritmo de actualizaciones y por ende un mayor riesgo de que alguna no funcione adecuadamente. También es sencillo revertirlas.
Para actualizar Plasma necesitas actualizar QT. Puede que otras aplicaciones requieran la versión con Leap (p.ej. FreeCAD y supongo que QGIS), y en algunos casos no tendrás versión equivalente.
Hay un puñado de aplicaciones que tienen versiones para Tumbleweed y no para Leap 15.3, al menos no aún.
Tumbleweed no es Leap. No vas a tener lo mismo que con Leap, y a veces será para bien (aplicaciones más actualizadas) y otras para mal (cosas no muy probadas, etc.).


Yo estoy pensando en migrar mi portátil a Tumbleweed, pero aún no lo he hecho.

Salud!!

victorhck
25-Nov-2021, 09:33
Comentario totalmente personal de mi experiencia con Tumbleweed.

Hace mucho que uso TW en mi portátil (también tengo otra partición con Leap por si acaso)
Sí he tenido en todo este tiempo algún tipo de inconveniente, ninguno grave que me haya impedido utilizar el PC con normalidad. Si no pequeños contratiempos con tal o cual cosa. A veces faltan dependencias por resolver lo que me bloquea el proceso de actualización y debo esperar unas semanas hasta que todo está Ok para poder actualizar.
si es cierto que los contratiempos que haya podido sufrir, se han resuelto en al actualizar a las pocas semanas, etc.

dicho esto, todos sabemos lo complicado que es esto del hardware, la compatibilidad, etc. Por tanto en mi máquina estoy muy contento con Tumbleweed, pero vuelvo a decir, que no la uso para mi trabajo ni nada crítico. aunque nunca he sufrido algún contratiempo que me haya imposibilitado utilizar mi Pc y tener que estar perdiendo el tiempo para solucionar algún problema, volver a actualizar o cosas similares...

No me responsabilizo de si lo instalas y después no tienes una buena experiencia de uso!! :P

mikrios
25-Nov-2021, 09:50
Hola:

TW, a veces puede estar mucho tiempo (años) sin tener fallos o si los tiene poder resolverlos o revertirlos (aunque a veces hay sorpresas y no queda mas remedio que re escribir de nuevol la raíz dejando /home sin formatear) .

Para mi gusto si el equipo es para trabajo, dejo un S.O. que sea muy estable y con pocos cambios, incluso si es un portátil y todo va bien, incluso cuando caduca, mantengo la misma versión (desconecto los repositorios y mantengo todo tal cual está, ya que funciona y eso es lo que importa ( aún tengo un acer con la 13.1 y va bien) , además para un portátil crees que le va bien tanta actualización, incluidas las del kernel .

En el equipo nuevo, es una satisfación probar TW, pero ya me ha dado fallos un par de veces y he preferido si lo hago, probar TW en un disco de quita y pon (configuro en la bios que sea extraible o que se pueda sacar en caliente) y hacerlo independiente de otros sistemas, incluso si tengo que ir al cargador de arranque y quitar la opción de que explore otros sistemas operativos.

Edito : Si es solo plasma, lo dejaría como está y mas si es un equipo de trabajo.
Saludos cordiales

krovikan
25-Nov-2021, 10:02
Yo tengo Leap 15.3 y te comento mi caso.

Tengo un Leap con Plasma (y sus aplicaciones) a la última y antes de actualizar tecleo en konsole:


sudo snapper list

para anotarme el número de la última snapshot que funciona (siempre pone post en la segunda columna, junto al número). Nunca me han dado problemas las actualizaciones de Plasma y sus aplicaciones.

Del resto de TW (porque Plasma a la última es de TW) paso un poco. Ahora viene la chuleta (se puede mejorar pero a mi me va bien así) para ello.
----------------------------------------------------------------------------------------------------------------------------------------------------

Para ir a la última de Plasma y sus aplicaciones:

0. Si no tuvieras el repo de Packman añádelo.

Packman --> https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/ con prioridad 70

1. Añadir los repos para Plasma

Qt5 --> http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.3/ con prioridad 91

Frameworks5 --> http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.3/ con prioridad 92

KDE Apps --> http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.3/ con prioridad 93

KDE Extra --> http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.3/ con prioridad 94

2. Cambiar la prioridad de los repos de opensuse (OSS, update OSS, NoN-OSS, update NoN-OSS, Backports, Updates SLE 15) a 98

3. En repos de programas que se vayan actualizando como Wine, Mozilla, Libreoffice (por ejemplo) poner la prioridad a 97

4. Los repos de usar y tirar prácticamente o activar y desactivar por algo en concreto (como Skype, Vulkan, CPU-X) a 99

5. Abres el Instalar/Desinstalar de Yast2 y en el combo que se llama Ver (encima del campo de búsqueda) clicka y elige Repositorios si no tenías esta pestaña abierta.

6. Clicka en la pestaña Repositorios y elige a la izquierda como hayas llamado al de Qt5. Verás a la derecha todos los paquetes que hay en ese repo.

Ahora la parte burra que hice.

7. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo Qt5.

8. Repetir el punto 7 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias).

9. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en Qt5 pasamos al siguiente punto.

CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de Qt5 (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 91) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.

10. Elige a la izquierda como hayas llamado al repo de Frameworks 5. Verás a la derecha todos los paquetes que hay en ese repo.

11. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo Frameworks 5.

12. Repetir el punto 11 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias).

13. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en Framewoks 5 pasamos al siguiente punto.

CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de Frameworks 5 (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 92) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.

14. Elige a la izquierda como hayas llamado al repo de KDE Apps. Verás a la derecha todos los paquetes que hay en ese repo.

15. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo KDE Apps.

16. Repetir el punto 15 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias).

17. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en KDE Apps pasamos al siguiente punto.

CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de KDE Apps (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 93) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.

18. Elige a la izquierda como hayas llamado al repo de KDE Extra. Verás a la derecha todos los paquetes que hay en ese repo.

19. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo KDE Extra.

20. Repetir el punto 19 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias). Pero MUY IMPORTANTE:
Los paquetes libQtAV1 y libQtAVWidgets1 déjalos con el repo de Qt5. No los cambies al repo de KDE Extra (no recuerdo qué fue lo que me hizo tomar esta decisión).

21. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en KDE Extra (excepto los paquetes mencionados que se quedan en el repo Qt5) pasamos al siguiente punto.

CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de KDE Extra (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 94) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.

22. Elige a la izquierda como hayas llamado al repo de Packman. Verás a la derecha todos los paquetes que hay en ese repo.

23. Comprueba que todos los que están instalados de esa lista (sin excepciones) están con el circulito en el repo de Packman. Se ve fácil fijándose que están todas las versiones elegidas con el repo de prioridad 70.

24. Aceptar y esperar a la instalación. Debería ir todo bien ya que así lo hice hace meses y va todo bien.

https://i.imgur.com/oXiIf8z.png


Saludos

gvcastellon
25-Nov-2021, 10:18
Pero que ya el Foro esta mas activo que el viejo, yeahhhh!!!

Gracias por las sugerencias, todavia no me decido, aunque cambiar a Tumbleweed va con ventaja.

Ya os contaré.

Gracias

gvcastellon
26-Nov-2021, 00:08
Pero que ya el Foro esta mas activo que el viejo, yeahhhh!!!

Gracias por las sugerencias, todavia no me decido, aunque cambiar a Tumbleweed va con ventaja.

Ya os contaré.

Gracias

Edito: Friday, November 26, 2021 1:36 AM

Hola...
Buscando experiencias y opiniones sobre este asunto y la decisión final fue cambiarme a Tumbleweed.
Seguí estas instrucciones (https://www.osradar.com/how-to-switch-from-opensuse-leap-to-tumbleweed/) bastante básicas, +6K paquetes entre actualizaciones, removidos, cambiados y resolver algunos conflictos, todo funcionó a la primera.
Veo mejor experiencia en la Gráfica, más organizado y pulido el escritorio.
Sin duda va mas fluido, (pensé este comportamiento no tendría variación) pero se puede notar con solo abrir Dolphin y navegar sobre las carpetas.

https://paste.opensuse.org/view/raw/98428625

Después del cambio no he hecho actualizaciones ni ningún cambio, estoy explorando el sistema, revisando si todas las aplicaciones funcionan, luego veré las recomendaciones para Tumbleweed.

Seguiré comentando las experiencias.

Salud y Suerte.

DiabloRojo
26-Nov-2021, 03:11
Buscando experiencias y opiniones sobre este asunto y la decisión final fue cambiarme a Tumbleweed.
Seguí estas instrucciones (https://www.osradar.com/how-to-switch-from-opensuse-leap-to-tumbleweed/) bastante básicas, +6K paquetes entre actualizaciones, removidos, cambiados y resolver algunos conflictos, todo funcionó a la primera.
Has hecho un salto de fe en confiar dichas instrucciones. Parece que nuestro openSUSE con poner los 4 repos básicos y hacer "zypper dup" se puede pasar de versiones como si fuera pan comido.
TW va por delante de Leap en la ultima versión de software, que puede traer cambios en las librerías y en los archivos de configuración del software, en teoría es mas fácil pasar de TW a Leap que viceversa. Te lo digo porque si no estas contento con TW y quieras volver a Leap.

gvcastellon
26-Nov-2021, 06:04
Has hecho un salto de fe en confiar dichas instrucciones. Parece que nuestro openSUSE con poner los 4 repos básicos y hacer "zypper dup" se puede pasar de versiones como si fuera pan comido.
TW va por delante de Leap en la ultima versión de software, que puede traer cambios en las librerías y en los archivos de configuración del software, en teoría es mas fácil pasar de TW a Leap que viceversa. Te lo digo porque si no estas contento con TW y quieras volver a Leap.


Hola DR.
No fue solo fe, estuve leyendo bastante y excepto casos muy especiales que usan aplicaciones muy específicas no han sido muchos los problemas en el cambio.

El Sr. de este link (https://cubiclenate.com/2021/11/23/how-and-when-to-update-opensuse-tumbleweed-blathering/) como puedes ver no ha tenido tantos problemas y tiene un Server corriendo Tumbleweed :O.

En mi caso hasta ahora "Insync (https://cubiclenate.com/2021/03/11/insync-google-drive-onedrive-sync-client-opensuse/#:~:text=add%20that%20too.-,Tumbleweed,-I%20am%20not)" fue la que me falló pero se pudo resolver bien fácil.

Sigo probando y dejaré mis experiencias.

victorhck
26-Nov-2021, 13:09
para actualizar, ya sabes tirar de consola y ejecutar:

zypper dup

Y un experimento de puntuación y valoración de las snapshots publicadas:

https://review.tumbleweed.boombatower.com/


ten en cuenta que hay veces que la actualización de algunos paquetes (GCC, glibc y algún otro) hace que haya que recompilar todos los paquetes, por lo que se te actualizará el sistema. A mí hay veces que se actualizan más de 3000 paquetes y después todo sigue funcionando sin problemas, eso sí dura un buen rato la actualización de todo, así que mejor dejarla actualizar cuando no estés haciendo nada.

Después hay semanas que son más activas, esta semana en concreto se han publicado 7 nuevas snapshots, por lo que cuando vayas a actualizar tendrás un montón de paquetes a actualizar.
Como estoy suscrito a la lista de correo de factory ahí se publican cuando se publican nuevas spanshots y qué paquetes afectan, por curiosidad...
También me consta que hay por ahí un blog que publica en español revisiones semanales de Tumbleweed (wink, wink)

Saludos y que disfrutes de Tumbleweed.

krovikan
26-Nov-2021, 14:24
También me consta que hay por ahí un blog que publica en español revisiones semanales de Tumbleweed (wink, wink)

Haciendo publicidad del blog de un tal Víctor, ¿eh? ;)

Que sepas que he instalado hoy Fish 3.3.1 (tuve que añadir el repo de Fish para Leap 15.3) pero es pronto para decir algo sobre ello (no es predeterminado por ahora). Ni he hecho aún el fish_config (igual mañana). Ya te informaré y/o haré preguntas por el blog de ese tal Víctor. lol!


Saludos